Bug 199833 - Review Request: vips - image processing library
Review Request: vips - image processing library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 199834
  Show dependency treegraph
 
Reported: 2006-07-22 22:41 EDT by Adam Goode
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-27 22:14:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2006-07-22 22:41:14 EDT
Spec URL: http://www.spicenitz.org/fedora/vips.spec
SRPM URL: http://www.spicenitz.org/fedora/vips-7.10.20-1.src.rpm
Description: VIPS is an image processing library. It is good for very large images
(even larger than the amount of RAM in your machine), and for working
with color.
Comment 1 Jochen Schmitt 2006-07-24 11:56:48 EDT
Good:
+ Source tar ball match to upstream.
+ rpmlint on source rpm quite.
+ Local build works fine.
+ rpmlint on binary rpms quite.
+ Mock build works fine.


Bad:
- Duplicates BRs: 
   pkgconfig (by lcms-devel), 
   zlib-devel (by libpng-devel), 
   libjpeg-devel (by ImageMagick-devel), 
   lcms-devel (by ImageMagick-devel), 
   libtiff-devel (by ImageMagick-devel), 
   glib2-devel (by pango-devel)
- rpmlint vips complaints weak refs:
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4
g_thread_use_default_impl
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4
g_threads_got_initialized
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4
g_thread_functions_for_glib_use
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_matinv
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_log_imask
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_create_imask
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_rotate_dmask90
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_matcat
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_read_imask
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_create_dmask
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_mask2vips
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_gauss_imask
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_gauss_dmask
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_free
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_matmul
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_printdesc
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_snprintf
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4
im_col_make_tables_RGB
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_free_dmask
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_dup_dmask
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_allocate_vargv
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_initdesc
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_open
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_scale_dmask
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_read_dmask
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_col_display_name
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_image
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_dup_imask
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_close
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_incheck
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_rotate_dmask45
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_free_imask
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_find_function
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_malloc
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4
g_static_mutex_get_mutex_impl
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_error_clear
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_free_vargv
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_log_dmask
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_error_buffer
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_mattrn
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_col_displays
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_copy
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_rotate_imask90
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_rotate_imask45
W: vips undefined-non-weak-symbol /usr/lib/libvipsCC.so.10.8.4 im_setupout
Comment 2 Adam Goode 2006-07-25 22:55:53 EDT
New version:

http://www.spicenitz.org/fedora/vips.spec
http://www.spicenitz.org/fedora/vips-7.10.20-2.src.rpm

Change: eliminate undefined symbols in libvipsCC.


I have not yet removed the BuildRequires as you suggested. This is because vips
independently requires each of those libraries to build-- for example, vips
still needs glib2-devel to build independently of pango-devel. If pango-devel
were ever to stop requiring glib2-devel (say it switched to glib3-devel), then
vips would fail to have glib2-devel present for it to compile.

Same with the other build requirements, vips independently uses libtiff,
libjpeg, etc. along with ImageMagick.

I can still remove these BuildRequires, since vips will correctly build today
without them. But I'm worried that this could cause the build to fail in
non-obvious ways in the future. For that reason, I request to leave them in.
Comment 3 Jochen Schmitt 2006-07-26 16:25:15 EDT
It's looks good.

Your package is APPROVED !!!
Comment 4 Adam Goode 2006-07-27 22:14:23 EDT
Built successfully on devel and FC-5. Still working on building for FC-4, but
closing this bug since it's building on FC-5.

Note You need to log in before you can comment on or make changes to this bug.